<?php
	
	class actionImportTextfiles extends cmsAction{
		public function run(){
			$user = cmsUser::getInstance();
			if(!$user->is_admin){
				cmsCore::error404();
			}
			
			$files_num = 0;
			$items_num = 0;
			$items_num_yes = 0;
			$items_num_no = 0;
			
			//   
			$mc = cmsCore::getModel('content');
			
			//    
			$ctype = $mc->getContentTypeByName('pages');
			
			//  
			$props = $mc->getContentProps($ctype['name']);
			$ctype['props'] = $props;
			
			//      
			$mc->orderBy('ordering');
			$fields = $mc->getContentFields($ctype['name']);
			
			$files = $this->model->getFilesForDirectory(ROOT . '/txt/');
			
			$data = array();
			
			if(count($files) > 0){
			
				foreach($files as $file){
					$data = $this->model->getDataFromFile('/txt/' . $file);
				
						//   ,    ,   
						//........
						// end
						
						
						
						$num = '';
						$tags = '';
						$name = '';
						$slug = '';
						$text = '';
						
						
						//      
						if(!$this->model->isClone($name)){
							
							$category_id = $this->model->getCategoryId($num);
							$price = $this->model->getPrice($num);
							
							$item_ar = array(
								'category_id' => $category_id,
								'new_category' => '',
								'title' => $name,
								'content' => $text,
								'attach' => '',
								'price' => $price,
								'tags' => $tags,
								'slug' => $slug,
								'is_private' => '0',
								'is_comments_on' => '1',
								'is_pub' => '1',
								'is_approved' => '1',
								'parent_type' => '',
								'parent_title' => '',
								'parent_url' => '',
								'is_parent_hidden' => '',
								'date_pub_end' => null,
								'seo_keys' => $name,
								'seo_desc' => $name,
								'user_id' => '1',
							);
							
							
							$item_ar = $mc->addContentItem($ctype, $item_ar, $fields);
							
							$tags_model = cmsCore::getModel('tags');
							$tags_model->addTags($item_ar['tags'], 'content', $ctype['name'], $item_ar['id']);
							$item_ar['tags'] = $tags_model->getTagsStringForTarget('content', $ctype['name'], $item_ar['id']);
							$mc->updateContentItemTags($ctype['name'], $item_ar['id'], $item_ar['tags']);
							$items_num_yes++;
						}else{
							$items_num_no++;
						}
						
						$items_num++;
						
					}
					
					$files_num++;
					
					//  
					$this->model->deleteFile('/txt/' . $file);
				}
			}
			
			$template = cmsTemplate::getInstance();
			$template->render('textfiles', array(
				'files_num' => $files_num,
				'items_num' => $items_num,
				'items_num_yes' => $items_num_yes,
				'items_num_no' => $items_num_no,
			));
		}
	}