<?php

	class modelImport extends cmsModel {
		
		public function __construct() {
			parent::__construct();
			$this->config = cmsController::loadOptions('import');
		}
		
		public function getFilesForDirectory($dir){
			if($dir){
				$system_files = array('.', '..');
				$files = array();
				if($handle = opendir($dir)){
					while (false !== ($file = readdir($handle))){
						if(!in_array($file, $system_files)){
							$files[] = $file;
						}
					}
					closedir($handle);
					return $files;
				}
				return false;
			}
			return false;
		}
		
		public function getDataFromFile($url){
			return file_get_contents(ROOT . $url);
		}
		
		public function putDataToFile($url, $data){
			return file_put_contents(ROOT . $url, $data, LOCK_EX);
		}
		
		public function deleteFile($url){
			return unlink(ROOT . $url);
		}
		
		public function isClone($name){
			$table_name = 'con_pages';
			$field_name = 'title';
			$field_value = $name;
			$table_ar = array();
			$table_ar = $this->getItemByField($table_name, $field_name, $field_value);
			if(empty($table_ar['id'])){
				return false;
			}
			return true;
		}
		
		public function getCategoryId($num){
			return $this->config['cat' . $num];
		}
		
		public function getPrice($num){
			return $this->config['price' . $num];
		}
		
	}